############################################################################
##
## Copyright (C) 2019 The Qt Company Ltd.
## Contact: https://www.qt.io/licensing/
##
## This file is part of the Boot to Qt meta layer.
##
## $QT_BEGIN_LICENSE:GPL$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see https://www.qt.io/terms-conditions. For further
## information use the contact form at https://www.qt.io/contact-us.
##
## GNU General Public License Usage
## Alternatively, this file may be used under the terms of the GNU
## General Public License version 3 or (at your option) any later version
## approved by the KDE Free Qt Foundation. The licenses are as published by
## the Free Software Foundation and appearing in the file LICENSE.GPL3
## included in the packaging of this file. Please review the following
## information to ensure the GNU General Public License requirements will
## be met: https://www.gnu.org/licenses/gpl-3.0.html.
##
## $QT_END_LICENSE$
##
############################################################################

# We have a conf and classes directory, append to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have a recipes directory, add to BBFILES
BBFILES += "${LAYERDIR}/recipes*/*/*.bb \
            ${LAYERDIR}/recipes*/*/*.bbappend \
            "

BBFILE_COLLECTIONS += "b2qt-distro"
BBFILE_PATTERN_b2qt-distro := "^${LAYERDIR}/"
BBFILE_PRIORITY_b2qt-distro = "20"

LAYERSERIES_COMPAT_b2qt-distro = "warrior"

# recipe appends for machine specific BSP layers
BBFILES_DYNAMIC += " \
    boundary-layer:${LAYERDIR}/dynamic-layers/boundary-layer/recipes*/*/*.bb \
    boundary-layer:${LAYERDIR}/dynamic-layers/boundary-layer/recipes*/*/*.bbappend \
    freescale-layer:${LAYERDIR}/dynamic-layers/freescale-layer/recipes*/*/*.bb \
    freescale-layer:${LAYERDIR}/dynamic-layers/freescale-layer/recipes*/*/*.bbappend \
    intel:${LAYERDIR}/dynamic-layers/intel/recipes*/*/*.bb \
    intel:${LAYERDIR}/dynamic-layers/intel/recipes*/*/*.bbappend \
    raspberrypi:${LAYERDIR}/dynamic-layers/raspberrypi/recipes*/*/*.bb \
    raspberrypi:${LAYERDIR}/dynamic-layers/raspberrypi/recipes*/*/*.bbappend \
    tegra:${LAYERDIR}/dynamic-layers/tegra/recipes*/*/*.bb \
    tegra:${LAYERDIR}/dynamic-layers/tegra/recipes*/*/*.bbappend \
    toradex-nxp-layer:${LAYERDIR}/dynamic-layers/toradex-nxp-layer/recipes*/*/*.bb \
    toradex-nxp-layer:${LAYERDIR}/dynamic-layers/toradex-nxp-layer/recipes*/*/*.bbappend \
"

BBMASK += "\
    meta-qt5/recipes-multimedia/gstreamer/gstreamer1.0-plugins-good_%.bbappend \
"

# override meta-boundary layer COMPATs
LAYERSERIES_COMPAT_boundary-layer = "warrior"

# override meta-fsl-bsp-release layers COMPATs
LAYERSERIES_COMPAT_fsl-bsp-release = "warrior"
LAYERSERIES_COMPAT_fsl-sdk-release = "warrior"

# override toradex layer COMPATs
LAYERSERIES_COMPAT_toradex-bsp-common-layer = "warrior"
LAYERSERIES_COMPAT_toradex-nxp-layer = "warrior"
